/*
    ngram.h
    HPYLM language model class.
    $Id: ngram.h,v 1.2 2010/03/09 10:38:34 daichi Exp $

*/
#ifndef _NGRAM_H_
#define _NGRAM_H_
#include "hpylm.h"
#include "hash.h"

ngram *find_node (hashmap *children, int word);
restaurant *find_word (hashmap *words, int word);
void insert_node (hashmap *children, ngram *node);
void insert_word (hashmap *words, restaurant *rest);
void delete_node (hashmap *children, ngram *node);
void delete_word (hashmap *words, restaurant *rest);


#endif
