/*
    util.h
    $Id: util.h,v 1.3 2010/03/15 07:28:17 daichi Exp $
*/
#ifndef _UTIL_H_
#define _UTIL_H_
#include <string>

using namespace std;

int myclock ();
char *rtime (double t);
double logsumexp (double x, double y, int init);
bool isspaces (const char *s);
bool isspaces (const string &line);
char *strconcat (const char *s, const char *t);
void vec_normalize (double *v, int n);
bool converged (double u, double v, double threshold);
int eprintf (const char *fmt, ...);
int error (const char *fmt, ...);
int vmax (double *v, int n);

#endif

