/*
    hash.cpp
    $Id: hash.cpp,v 1.1 2010/03/08 08:01:31 daichi Exp $

*/
#include "hash.h"

void
hash_foreach (hashmap *hash, nodefunc func, void *arg)
{
	hashmap::iterator it;

	for (it = hash->begin(); it != hash->end(); it++)
	{
		(*func)(it->second, arg);
	}
}

double
hash_fold (hashmap *hash, foldfunc func, void *arg)
{
	hashmap::iterator it;
	double z = 0;

	for (it = hash->begin(); it != hash->end(); it++)
	{
		z += (*func)(it->second, arg);
	}

	return z;
}

