/*
    random.h
    $Id: random.h,v 1.2 2010/03/17 16:41:57 daichi Exp $

*/
#ifndef __RANDOM_H__
#define __RANDOM_H__
#include "mt.h"
#define	RANDOM	genrand()

int irand (int n);
double exprand (void);
double sgamrand (double a);
double gamrand (double a, double b);
double betarand (double a, double b);
int bernoulli (double p);
int draw_discrete (double *table, int n);
int draw_discrete_int (int *table, int n);
int draw_probability (double *table, int n);
int draw_likelihood (double *lik, int n);
void fisher_yates_shuffle (int *v, int n);

#endif


    
